RE: 1.4 JVM version

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

RE: 1.4 JVM version

Seco Sáiz, José Ramón

Hello,

 

First of all, thank you for your wonderful library.

 

I do not know if this is the proper way to ask you this (sorry about that) but…

 

Is it possible to have a version of your last build (1.4.7) compiled for the 1.4 JVM?

 

I have checked and the 1.3.1 build is fully compatible with 1.4 JVM but not the 1.4.7 build.

 

Thanks a lot.

 

Regards.

 

 

José Ramón Seco Sáiz

 



Este correo electrónico y, en su caso, cualquier fichero anexo al mismo, contiene información de carácter confidencial exclusivamente dirigida a su destinatario o destinatarios. Si no es vd. el destinatario indicado, queda notificado que la lectura, utilización, divulgación y/o copia sin autorización está prohibida en virtud de la legislación vigente. En el caso de haber recibido este correo electrónico por error, se ruega notificar inmediatamente esta circunstancia mediante reenvío a la dirección electrónica del remitente.
Evite imprimir este mensaje si no es estrictamente necesario.

This email and any file attached to it (when applicable) contain(s) confidential information that is exclusively addressed to its recipient(s). If you are not the indicated recipient, you are informed that reading, using, disseminating and/or copying it without authorisation is forbidden in accordance with the legislation in effect. If you have received this email by mistake, please immediately notify the sender of the situation by resending it to their email address.
Avoid printing this message if it is not absolutely necessary.
Reply | Threaded
Open this post in threaded view
|

RE: 1.4 JVM version

Mica Cooper

I would second that request.

 

Respectfully,

M. Cooper

 

From: Seco Sáiz, José Ramón [mailto:[hidden email]]
Sent: Friday, February 14, 2014 4:48 AM
To: [hidden email]
Subject: [xstream-user] RE: 1.4 JVM version

 

Hello,

 

First of all, thank you for your wonderful library.

 

I do not know if this is the proper way to ask you this (sorry about that) but…

 

Is it possible to have a version of your last build (1.4.7) compiled for the 1.4 JVM?

 

I have checked and the 1.3.1 build is fully compatible with 1.4 JVM but not the 1.4.7 build.

 

Thanks a lot.

 

Regards.

 

 

José Ramón Seco Sáiz


 

 


Este correo electrónico y, en su caso, cualquier fichero anexo al mismo, contiene información de carácter confidencial exclusivamente dirigida a su destinatario o destinatarios. Si no es vd. el destinatario indicado, queda notificado que la lectura, utilización, divulgación y/o copia sin autorización está prohibida en virtud de la legislación vigente. En el caso de haber recibido este correo electrónico por error, se ruega notificar inmediatamente esta circunstancia mediante reenvío a la dirección electrónica del remitente.
Evite imprimir este mensaje si no es estrictamente necesario.

This email and any file attached to it (when applicable) contain(s) confidential information that is exclusively addressed to its recipient(s). If you are not the indicated recipient, you are informed that reading, using, disseminating and/or copying it without authorisation is forbidden in accordance with the legislation in effect. If you have received this email by mistake, please immediately notify the sender of the situation by resending it to their email address.
Avoid printing this message if it is not absolutely necessary.

Reply | Threaded
Open this post in threaded view
|

RE: RE: 1.4 JVM version

Jörg Schaible-2
In reply to this post by Seco Sáiz, José Ramón
Hi José & Mica,

Mica Cooper wrote:

> I would second that request.
>
> Respectfully,
>
> M. Cooper
>  
>
> From: Seco Sáiz, José Ramón [mailto:[hidden email]]
> Sent: Friday, February 14, 2014 4:48 AM
> To: [hidden email]
> Subject: [xstream-user] RE: 1.4 JVM version
>
> Hello,
>
> First of all, thank you for your wonderful library.
>
> I do not know if this is the proper way to ask you this (sorry about that)
> but…
>
> Is it possible to have a version of your last build (1.4.7) compiled for
> the 1.4 JVM?
>
> I have checked and the 1.3.1 build is fully compatible with 1.4 JVM but
> not the 1.4.7 build.

You may build a version targetting Java 1.4 yourself, this is still
supported (http://bamboo-ci.codehaus.org/browse/XSTREAM-JDK14). Just use
Maven 2.0.11 and a 1.4.2 JDK.

There will be no official build though, because unfortunately Android does
not run Java code targetting the 1.4 platform. So we had to decide to either
support directly Android or Java 1.4.2. The decision was already made more
than 2 years ago (http://xstream.codehaus.org/changes.html#1.4.2 - funny
coincidence) and Java 1.4.2 is now more than 5 years after EOL.

Sorry for the inconvenience,
Jörg


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

RE: RE: 1.4 JVM version

Mica Cooper
FYI,

I think by targeting Android, your missing the boat. While clients may use Android, I know of zero server platforms using it. The platforms serving data, processing, etc will use the older Java, and some still are on 1.1, 1.2, and 1.3.

JDK 1.4.2 had a .19 release not to long ago and JDK.1.4.2.30 for Solaris is supported, not EOL.

Thank you for pointing towards the MAVEN so we can set this up. Appreciate the work you do.

Respectfully,
M. Cooper




---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

RE: RE: RE: 1.4 JVM version

Jörg Schaible-2
In reply to this post by Jörg Schaible-2
Hi Mica,

Mica Cooper wrote:

> FYI,
>
> I think by targeting Android, your missing the boat. While clients may use
> Android, I know of zero server platforms using it. The platforms serving
> data, processing, etc will use the older Java, and some still are on 1.1,
> 1.2, and 1.3.
>
> JDK 1.4.2 had a .19 release not to long ago and JDK.1.4.2.30 for Solaris
> is supported, not EOL.

Well, you two have been the first ones who complained that the current 1.4.x
version does no longer run OOTB on Java 1.4 ... after 2 years. We had a lot
more complaints about XStream not running on Android and we got immediately
feedback, when I broke Android in HEAD some weeks ago.

> Thank you for pointing towards the MAVEN so we can set this up. Appreciate
> the work you do.

Thanks. And as stated on the XStream home page, we'll keep the 1.4.x series
buildable with Java 1.4.

Cheers,
Jörg


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

RE: 1.4 JVM version

no spam-11
In reply to this post by Seco Sáiz, José Ramón
unsubscribe


On Fri, Feb 14, 2014 at 5:48 AM, Seco Sáiz, José Ramón <[hidden email]> wrote:

Hello,

 

First of all, thank you for your wonderful library.

 

I do not know if this is the proper way to ask you this (sorry about that) but…

 

Is it possible to have a version of your last build (1.4.7) compiled for the 1.4 JVM?

 

I have checked and the 1.3.1 build is fully compatible with 1.4 JVM but not the 1.4.7 build.

 

Thanks a lot.

 

Regards.

 

 

José Ramón Seco Sáiz

 



Este correo electrónico y, en su caso, cualquier fichero anexo al mismo, contiene información de carácter confidencial exclusivamente dirigida a su destinatario o destinatarios. Si no es vd. el destinatario indicado, queda notificado que la lectura, utilización, divulgación y/o copia sin autorización está prohibida en virtud de la legislación vigente. En el caso de haber recibido este correo electrónico por error, se ruega notificar inmediatamente esta circunstancia mediante reenvío a la dirección electrónica del remitente.
Evite imprimir este mensaje si no es estrictamente necesario.

This email and any file attached to it (when applicable) contain(s) confidential information that is exclusively addressed to its recipient(s). If you are not the indicated recipient, you are informed that reading, using, disseminating and/or copying it without authorisation is forbidden in accordance with the legislation in effect. If you have received this email by mistake, please immediately notify the sender of the situation by resending it to their email address.
Avoid printing this message if it is not absolutely necessary.

Reply | Threaded
Open this post in threaded view
|

Re: RE: 1.4 JVM version

Jörg Schaible-2
mrs.nospam wrote:

> unsubscribe

Your own task
http://xircles.codehaus.org



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email